document.getElementById("readText").addEventListener("click", async () => {
  const apiKey = "AIzaSyCKnLUR21SlXMNbbqrI3eqGVwDsZJxqoNo"; // מפתח ה-API שלך
  chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
    chrome.scripting.executeScript({
      target: { tabId: tabs[0].id },
      func: readTextFromPage,
      args: [apiKey]
    });
  });
});

document.getElementById("stopText").addEventListener("click", () => {
  chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
    chrome.scripting.executeScript({
      target: { tabId: tabs[0].id },
      func: stopTextFromPage
    });
  });
});

async function readTextFromPage(apiKey) {
  const text = document.body.innerText;
  if (!text) {
    alert("לא נמצא טקסט בדף להקראה.");
    return;
  }

  const response = await fetch(`https://texttospeech.googleapis.com/v1/text:synthesize?key=${apiKey}`, {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({
      input: { text: text },
      voice: { languageCode: "he-IL", ssmlGender: "FEMALE" },
      audioConfig: { audioEncoding: "MP3" }
    })
  });

  const data = await response.json();
  if (data.audioContent) {
    const audio = new Audio("data:audio/mp3;base64," + data.audioContent);
    audio.play();
  } else {
    alert("שגיאה בקבלת נתוני שמע מה-API.");
  }
}

function stopTextFromPage() {
  if (speechSynthesis.speaking) {
    speechSynthesis.cancel();  // עצירת ההקראה הנוכחית
  }
}
